* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

html {
    scroll-behavior: smooth;
}

:root {
    --primaria: #4f46e5;
    --secundaria: #7c3aed;
    --escuro: #0f172a;
    --maisEscuro: #0a0f1c;
    --claro: #e2e8f0;
    --vidro: rgba(255, 255, 255, 0.1);
}

body {
    background-color: var(--escuro);
    color: var(--claro);
}

section {
    margin: 1rem 0;
}

.navegacao {
    position: fixed;
    background: rgba(15, 23, 42, 0.8);
    width: 100%;
    z-index: 100;
    top: 0;
    padding: 1.5rem;
}

.menu {
    display: flex;
    justify-content: center;
    list-style: none;
    gap: 3rem;
}

.menu-link {
    text-decoration: none;
    color: var(--claro);
    font-weight: 500;
    position: relative;
    padding: 0.5rem 0;
}

.menu-link::after {
    content: "";
    width: 0%;
    height: 2px;
    position: absolute;
    bottom: 0;
    left: 0;
    background: linear-gradient(90deg, var(--primaria), var(--secundaria));
    transition: width 0.5s ease;
}

.menu-link:hover::after {
    width: 100%;
}

.cabecalho {
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.foto-perfil {
    width: 350px;
    height: 350px;
    box-shadow: 0 0 20px rgba(79, 70, 229, 0.3);
    border-radius: 50%;
    border: 4px solid var(--vidro);
    animation: flutuar 4s ease-in-out infinite;
}

h1 {
    font-size: 3.5rem;
    color: var(--primaria);
    font-weight: bold;
    margin: 20px;

}

.cabecalho-sub-titulo {
    font-size: 1, 5rem;
    color: var(--claro);
    font-weight: 500;
}

.sobre {
    padding: 6rem 2rem;
}

.sobre-titulo {
    font-size: 3rem;
    color: var(--claro);
    text-align: center;
    margin-bottom: 20px;
}

.sobre-caixa {
    padding: 2rem;
    max-width: 900px;
    margin: 0 auto;
    border-radius: 16px;
    border: 1px solid var(--vidro);
    backdrop-filter: blur(10px);
    background: rgba(255, 255, 255, 0.05);
}

.sobre-paragrafo {
    text-align: center;
    font-size: 1.2rem;
}

.atividades {
    padding: 6rem 2rem;
}

.atividades-titulo {
    text-align: center;
    font-size: 2.5rem;
    color: var(--claro);
    margin-bottom: 50px;
}

.atividades-caixa {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    max-width: 1000px;
    margin: 0 auto;
}

.atividade-item {
    display: flex;
    align-items: center;
    gap: 2rem;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 16px;
    backdrop-filter: blur(5px);
    border: 1px solid var(--vidro);
    padding: 1.5rem;
    transition: all 0.5s ease;
}

.atividade-item:hover {
    box-shadow: 0 10px 20px rgba(79, 70, 229, 0.2);
    transform: translateY(-5px) scale(1.01);
}

.atividade-imagem {
    width: 300px;
    height: 200px;
    object-fit: cover;
    border-radius: 16px;
    flex-shrink: 0;
}

.atividade-texto {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.info-atividades {
    font-size: 1.5rem;
    color: var(--claro);
}

.paragrafos-atividades {
    color: rgba(226, 232, 240, 0.8);
    line-height: 1.5rem;
}

@media (max-width: 768px) {
    .atividade-item {
        flex-direction: column;
        text-align: center;
    }

    .atividade-imagem {
        width: 100%;
        height: auto;
    }
}

.projetos {
    padding: 6rem 2rem;
}

.projetos-titulo {
    text-align: center;
    font-size: 2.5rem;
    color: var(--claro);
    margin-bottom: 50px;
}

.projetos-card:hover {
    box-shadow: 0 10px 20px rgba(79, 70, 229, 0.2);
    transform: translateY(-10px) scale(1.03);
    transition: all 0.5s ease;
    cursor: pointer;
}

.projetos-wrapper {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
    width: 100%;
}

.projetos-caixa {
    display: flex;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    gap: 2rem;
    padding: 1rem 0;
    scrollbar-width: none;
    /* Firefox */
    scroll-behavior: smooth;
}

.projetos-caixa::-webkit-scrollbar {
    display: none;
    /* Chrome */
}

.projetos-card {
    min-width: 100%;
    flex: 0 0 auto;
    scroll-snap-align: center;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 16px;
    backdrop-filter: blur(5px);
    border: 1px solid var(--vidro);
    overflow: hidden;
}

.carrossel-btn {
    background: linear-gradient(45deg, var(--primaria), var(--secundaria));
    color: var(--claro);
    border: none;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    font-size: 1.5rem;
    cursor: pointer;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 10;
    transition: all 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 4px 15px rgba(79, 70, 229, 0.4);
}

.carrossel-btn.prev {
    left: -25px;
}

.carrossel-btn.next {
    right: -25px;
}

.carrossel-btn:hover {
    transform: translateY(-50%) scale(1.1);
    box-shadow: 0 6px 20px rgba(79, 70, 229, 0.6);
}

.projeto-imagem {
    width: 100%;
    height: 600px;
    object-fit: cover;
    border-radius: 16px;
}

.caixa-texo-projeto {
    padding: 1.5rem;
}

.info-projetos {
    margin-bottom: 5px;
}

.paragrafos-projetos {
    color: rgba(226, 232, 240, 0.8);
    line-height: 1.25rem;

}

.contatos {
    padding: 6rem 2rem;
}

.contato-titulo {
    text-align: center;
    font-size: 2.5rem;
    margin-bottom: 50px;
}

.formulario-contato {
    max-width: 600px;
    margin: 0 auto;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 16px;
    backdrop-filter: blur(5px);
    border: 1px solid var(--vidro);
    border-radius: 16px;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.campo-form {
    width: 100%;
    padding: 1rem;
    border-radius: 8px;
    background: rgba(255, 255, 255, 0.05);
    color: var(--claro);
    border: 1px solid var(--vidro);
    outline: none;
}

.campo-form:focus {
    border-color: var(--secundaria);
    box-shadow: 0 0 10px rgba(79, 70, 229, 0.3);
}

.grupo-form {
    margin-bottom: 1.5rem;
}

.botao-form {
    color: var(--claro);
    background: linear-gradient(45deg, var(--primaria), var(--secundaria));
    padding: 1rem 2rem;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    font-weight: bold;
    width: 100%;
    transition: all 0.5s ease;
}

.botao-form:hover {
    transform: translateY(-4px);
    box-shadow: 0 5px 15px rgba(79, 70, 229, 0.3);
}

.particulas {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    opacity: 0.5;
    background:
        radial-gradient(circle at 10% 20%, var(--primaria), transparent 20%),
        radial-gradient(circle at 90% 80%, var(--secundaria), transparent 20%),
        var(--maisEscuro);
}

@keyframes flutuar {

    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-20px);
    }
}

/* Estilos do Hamburguer Desktop (Oculto) */
.hamburguer {
    display: none;
    cursor: pointer;
}

.bar {
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px auto;
    transition: all 0.3s ease-in-out;
    background-color: var(--claro);
}

/* Responsividade para Dispositivos Móveis */
@media (max-width: 768px) {
    .navegacao {
        padding: 1.5rem 2rem;
        display: flex;
        justify-content: flex-end;
    }

    .hamburguer {
        display: block;
        z-index: 101;
    }

    .hamburguer.ativo .bar:nth-child(2) {
        opacity: 0;
    }

    .hamburguer.ativo .bar:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }

    .hamburguer.ativo .bar:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }

    .menu {
        position: fixed;
        left: -100%;
        top: 0;
        gap: 0;
        flex-direction: column;
        background-color: var(--maisEscuro);
        width: 100%;
        height: 100vh;
        text-align: center;
        transition: 0.3s;
        justify-content: center;
    }

    .menu.ativo {
        left: 0;
    }

    .menu-link {
        margin: 16px 0;
        display: block;
        font-size: 1.5rem;
    }

    .foto-perfil {
        width: 200px;
        height: 200px;
    }

    h1 {
        font-size: 2.5rem;
        text-align: center;
    }

    .cabecalho-sub-titulo {
        font-size: 0.9rem;
        text-align: center;
        padding: 0 1rem;
    }

    .sobre,
    .atividades,
    .projetos,
    .contatos {
        padding: 4rem 1.2rem;
    }

    .sobre-titulo,
    .atividades-titulo,
    .projetos-titulo,
    .contato-titulo {
        font-size: 2rem;
        margin-bottom: 30px;
    }

    .sobre-caixa {
        padding: 1.5rem;
    }

    .sobre-paragrafo {
        font-size: 1rem;
    }

    .projetos-caixa {
        display: grid;
        grid-template-columns: 1fr;
        gap: 2rem;
        overflow-x: visible;
        padding: 0;
    }

    .carrossel-btn {
        display: none;
    }

    .projeto-imagem {
        height: 280px;
    }

    .formulario-contato {
        padding: 1.5rem;
    }
}